From a7278abef72c1176fbac09ec9bedeab9b6c416af Mon Sep 17 00:00:00 2001
From: Dominic Hargreaves <dom@earth.li>
Date: Sun, 24 Mar 2013 18:38:07 +0000
Subject: Fix relative references to config path

Forwarded: not-needed
Bug: http://issues.bestpractical.com/Ticket/Display.html?id=13592
Bug-Debian: http://bugs.debian.org/518556

Patch-Name: rt_setup_database_upgrade_basedir.diff
---
 sbin/rt-setup-database.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sbin/rt-setup-database.in b/sbin/rt-setup-database.in
index 4ce527d3..38caef8b 100644
--- a/sbin/rt-setup-database.in
+++ b/sbin/rt-setup-database.in
@@ -421,7 +421,7 @@ sub action_insert {
 
 sub action_upgrade {
     my %args = @_;
-    my $base_dir = $args{'datadir'} || "./etc/upgrade";
+    my $base_dir = $args{'datadir'} || $RT::EtcPath . "/upgrade";
     return (0, "Couldn't read dir '$base_dir' with upgrade data")
         unless -d $base_dir || -r _;
 
